---
references:
- id: AngstReal2017
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Angst
      given: Jürgen
    - family: Dalmao
      given: Federico
    - family: Poly
      given: Guillaume
  citation-key: AngstReal2017
  container-title: arXiv:1706.01654 [math]
  issued:
    - year: 2017
      month: 6
      day: 6
  title: >-
    On the real zeros of random trigonometric polynomials with dependent
    coefficients
  type: article-journal
  URL: http://arxiv.org/abs/1706.01654

- id: AzaisLevel2009
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Azäis
      given: Jean-Marc
    - family: Wschebor
      given: Mario
  call-number: QA274.4 .A93 2009
  citation-key: AzaisLevel2009
  DOI: 10.1002/9780470434642
  event-place: Hoboken, NJ, USA
  ISBN: 978-0-470-43464-2 978-0-470-40933-6
  issued:
    - year: 2009
      month: 2
      day: 27
  language: en
  number-of-pages: '393'
  publisher: John Wiley & Sons, Inc.
  publisher-place: Hoboken, NJ, USA
  title: >-
    Level Sets and Extrema of Random Processes and Fields: Azaïs/Level Sets and
    Extrema of Random Processes and Fields
  type: book
  URL: http://doi.wiley.com/10.1002/9780470434642

- id: AzaisRecord2013
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Azäis
      given: Jean-Marc
    - family: Pham
      given: Viet-Hung
  citation-key: AzaisRecord2013
  container-title: arXiv:1302.1017 [math]
  issued:
    - year: 2013
      month: 2
      day: 5
  title: The record method for two and three dimensional parameters random fields
  type: article-journal
  URL: http://arxiv.org/abs/1302.1017

- id: BenHoughZeros2009
  author:
    - family: Ben Hough
      given: John
    - family: Krishnapur
      given: Manjunath
    - family: Peres
      given: Yuval
    - family: Virág
      given: Bálint
  call-number: QA274.4 .Z47 2009
  citation-key: BenHoughZeros2009
  collection-number: v. 51
  collection-title: University lecture series
  event-place: Providence, R.I
  ISBN: 978-0-8218-4373-4
  issued:
    - year: 2009
  language: en
  number-of-pages: '170'
  publisher: American Mathematical Soc.
  publisher-place: Providence, R.I
  title: Zeros of Gaussian Analytic Functions and Determinantal Point Processes
  type: book
  URL: http://math.iisc.ernet.in/~manju/GAF_book.pdf

- id: BoydComputing2007
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Boyd
      given: John P.
  citation-key: BoydComputing2007
  container-title: Computers & Mathematics with Applications
  container-title-short: Computers & Mathematics with Applications
  DOI: 10.1016/j.camwa.2007.01.015
  ISSN: 0898-1221
  issue: '3'
  issued:
    - year: 2007
      month: 8
      day: 1
  page: 336-349
  title: >-
    Computing the zeros of a Fourier series or a Chebyshev series or general
    orthogonal polynomial series with parity symmetries
  type: article-journal
  volume: '54'

- id: DasAverage1968
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Das
      given: Minaketan
  citation-key: DasAverage1968
  container-title: Mathematical Proceedings of the Cambridge Philosophical Society
  DOI: 10.1017/S0305004100043425
  ISSN: 1469-8064, 0305-0041
  issue: '3'
  issued:
    - year: 1968
      month: 7
  language: en
  page: 721-730
  title: The average number of real zeros of a random trigonometric polynomial
  type: article-journal
  volume: '64'

- id: DumitrescuPositive2017
  author:
    - family: Dumitrescu
      given: Bogdan
  citation-key: DumitrescuPositive2017
  collection-title: Signals and communication technology
  DOI: 10.1007/978-3-319-53688-0
  edition: Second edition
  event-place: Cham
  ISBN: 978-3-319-53688-0 978-3-319-53687-3
  issued:
    - year: 2017
  language: eng
  number-of-pages: '276'
  publisher: Springer
  publisher-place: Cham
  title: Positive trigonometric polynomials and signal processing applications
  type: book
  URL: http://link.springer.com/10.1007/978-3-319-53688-0

- id: DunnageNumber1966
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Dunnage
      given: J. E. A.
  citation-key: DunnageNumber1966
  container-title: Proceedings of the London Mathematical Society
  DOI: 10.1112/plms/s3-16.1.53
  ISSN: '00246115'
  issue: '1'
  issued:
    - year: 1966
  language: en
  page: 53-84
  title: The Number of Real Zeros of a Random Trigonometric Polynomial
  type: article-journal
  volume: s3-16

- id: EdelmanHow1995
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Edelman
      given: Alan
    - family: Kostlan
      given: Eric
  citation-key: EdelmanHow1995
  container-title: Bulletin of the American Mathematical Society
  DOI: 10.1090/S0273-0979-1995-00571-9
  ISSN: 0273-0979
  issue: '1'
  issued:
    - year: 1995
      month: 1
      day: 1
  language: en
  page: 1-38
  title: How many zeros of a random polynomial are real?
  type: article-journal
  URL: https://math.mit.edu/~edelman/homepage/papers/roots.pdf
  volume: '32'

- id: FarahmandAverage1990
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Farahmand
      given: Kambiz
  citation-key: FarahmandAverage1990
  container-title: The Annals of Probability
  ISSN: 0091-1798
  issue: '3'
  issued:
    - year: 1990
  page: 1403-1409
  title: >-
    On the Average Number of Level Crossings of a Random Trigonometric
    Polynomial
  type: article-journal
  URL: https://www.jstor.org/stable/2244431
  volume: '18'

- id: FarahmandExpected1997
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Farahmand
      given: K.
    - family: Sambandham
      given: M.
  citation-key: FarahmandExpected1997
  container-title: Analysis
  DOI: 10.1524/anly.1997.17.4.345
  ISSN: 2196-6753
  issue: '4'
  issued:
    - year: 1997
  page: 345–354
  title: On the expected number of real zeros of random trigonometric polynomials
  type: article-journal
  volume: '17'

- id: FarahmandNumber1992
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Farahmand
      given: K.
  citation-key: FarahmandNumber1992
  container-title: Journal of Applied Mathematics and Stochastic Analysis
  DOI: 10.1155/S104895339200025X
  ISSN: 1048-9533, 1687-2177
  issue: '4'
  issued:
    - year: 1992
      month: 1
      day: 1
  language: en
  page: 307-313
  title: Number of real roots of a random trigonometric polynomial
  type: article-journal
  volume: '5'

- id: FarahmandRandom2010
  accessed:
    - year: 2019
      month: 6
      day: 7
  author:
    - family: Farahmand
      given: K.
    - family: Li
      given: T.
  citation-key: FarahmandRandom2010
  container-title: International Journal of Stochastic Analysis
  DOI: 10.1155/2010/931565
  ISSN: 2090-3332, 2090-3340
  issued:
    - year: 2010
      month: 3
      day: 30
  language: en
  page: 1-10
  title: >-
    Random Trigonometric Polynomials with Nonidentically Distributed
    Coefficients
  type: article-journal
  volume: '2010'

- id: FlascheExpected2017
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Flasche
      given: Hendrik
  citation-key: FlascheExpected2017
  container-title: Stochastic Processes and their Applications
  container-title-short: Stochastic Processes and their Applications
  DOI: 10.1016/j.spa.2017.03.018
  ISSN: 0304-4149
  issue: '12'
  issued:
    - year: 2017
      month: 12
      day: 1
  page: 3928-3942
  title: Expected number of real roots of random trigonometric polynomials
  type: article-journal
  volume: '127'

- id: GarciaBrief2002
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: García
      given: Antonio G.
  citation-key: GarciaBrief2002
  container-title: Advances in Imaging and Electron Physics
  DOI: 10.1016/S1076-5670(02)80042-8
  editor:
    - family: Hawkes
      given: Peter W.
  issued:
    - year: 2002
      month: 1
      day: 1
  page: 63-137
  publisher: Elsevier
  title: A Brief Walk Through Sampling Theory
  type: chapter
  URL: http://www.sciencedirect.com/science/article/pii/S1076567002800428
  volume: '124'

- id: KrishnapurGinibre2014
  accessed:
    - year: 2019
      month: 8
      day: 19
  author:
    - family: Krishnapur
      given: Manjunath
    - family: Virág
      given: Bálint
  citation-key: KrishnapurGinibre2014
  container-title: International Mathematics Research Notices
  DOI: 10.1093/imrn/rns255
  ISSN: 1687-0247, 1073-7928
  issue: '6'
  issued:
    - year: 2014
  language: en
  page: 1441-1464
  title: The Ginibre ensemble and Gaussian analytic functions
  type: article-journal
  URL: http://arxiv.org/abs/1112.2457
  volume: '2014'

- id: KrishnapurZeros2006
  accessed:
    - year: 2019
      month: 7
      day: 19
  author:
    - family: Krishnapur
      given: Manjunath
  citation-key: KrishnapurZeros2006
  container-title: arXiv:math/0607504
  issued:
    - year: 2006
      month: 7
      day: 20
  title: Zeros of Random Analytic Functions
  type: article-journal
  URL: http://arxiv.org/abs/math/0607504

- id: MegretskiPositivity2003
  author:
    - family: Megretski
      given: A.
  citation-key: MegretskiPositivity2003
  container-title: >-
    42nd IEEE International Conference on Decision and Control (IEEE Cat.
    No.03CH37475)
  DOI: 10.1109/CDC.2003.1271743
  event-title: >-
    42nd IEEE International Conference on Decision and Control (IEEE Cat.
    No.03CH37475)
  issued:
    - year: 2003
      month: 12
  page: 3814-3817 vol.4
  title: Positivity of trigonometric polynomials
  type: paper-conference
  volume: '4'

- id: PemantleDistribution2013
  author:
    - family: Pemantle
      given: Robin
    - family: Rivin
      given: Igor
  citation-key: PemantleDistribution2013
  container-title: Advances in Combinatorics
  editor:
    - family: Kotsireas
      given: Ilias S.
    - family: Zima
      given: Eugene V.
  ISBN: 978-3-642-30979-3
  issued:
    - year: 2013
  language: en
  page: 259-273
  publisher: Springer Berlin Heidelberg
  title: The Distribution of Zeros of the Derivative of a Random Polynomial
  type: paper-conference

- id: SchweikardTrigonometric1991
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Schweikard
      given: Achim
  citation-key: SchweikardTrigonometric1991
  container-title: Information Processing Letters
  container-title-short: Information Processing Letters
  DOI: 10.1016/0020-0190(91)90020-I
  ISSN: 0020-0190
  issue: '5'
  issued:
    - year: 1991
      month: 9
      day: 13
  page: 231-236
  title: Trigonometric polynomials with simple roots
  type: article-journal
  volume: '39'

- id: SuAsymptotics2012
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Su
      given: ZhongGen
    - family: Shao
      given: QiMan
  citation-key: SuAsymptotics2012
  container-title: Science China Mathematics
  container-title-short: Sci. China Math.
  DOI: 10.1007/s11425-012-4525-5
  ISSN: 1869-1862
  issue: '11'
  issued:
    - year: 2012
      month: 11
      day: 1
  language: en
  page: 2347-2366
  title: >-
    Asymptotics of the variance of the number of real roots of random
    trigonometric polynomials
  type: article-journal
  URL: http://or.nsfc.gov.cn/bitstream/00001903-5/6322/1/1000003499971.pdf
  volume: '55'

- id: VanderbeiComplex2015
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Vanderbei
      given: Robert J.
  citation-key: VanderbeiComplex2015
  container-title: arXiv:1508.05162 [math]
  issued:
    - year: 2015
      month: 8
      day: 20
  title: The Complex Roots of Random Sums
  type: article-journal
  URL: http://arxiv.org/abs/1508.05162

- id: WilkinsMean1991
  accessed:
    - year: 2019
      month: 5
      day: 20
  author:
    - family: Wilkins
      given: J. Ernest
  citation-key: WilkinsMean1991
  container-title: Proceedings of the American Mathematical Society
  container-title-short: Proc. Amer. Math. Soc.
  DOI: 10.1090/S0002-9939-1991-1039266-0
  ISSN: 0002-9939, 1088-6826
  issue: '3'
  issued:
    - year: 1991
  language: en
  page: 851-863
  title: Mean number of real zeros of a random trigonometric polynomial
  type: article-journal
  URL: https://www.ams.org/proc/1991-111-03/S0002-9939-1991-1039266-0/
  volume: '111'
...
